//----------------------------------------------------------------------------
// Copyright (c) 2018 Easy Life Dz (https://easylifedz.com)
// All Rights Reserved.
//----------------------------------------------------------------------------

#pragma once

#ifndef EASYSKIN_H_INCLUDED
#define EASYSKIN_H_INCLUDED

#include <windows.h>

typedef bool (__cdecl *PFN_LOADSKIN) (LPCWSTR, LPCWSTR);

class EasySkin
{
public:
    EasySkin();
    ~EasySkin();
    bool Init();
    int Exit();

    PFN_LOADSKIN LoadSkin;

protected:
    HMODULE m_hEasySkinDLL;
};

#endif // EASYSKIN_H_INCLUDED
